BackFillHolder (JiBX Java data binding to XML - Version 1.2.6)
Date: 2014-12-30

org.jibx.runtime.impl

## Class BackFillHolder

- java.lang.Object
- - org.jibx.runtime.impl.BackFillHolder

-     public class BackFillHolder
      extends java.lang.Object

  Holder used to collect forward references to a particular object. The references are processed when the object is defined.
  Version:
    1.0
  Author:
    Dennis M. Sosnoski

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BackFillHolder(java.lang.String name)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBackFill(BackFillReference ref)` Add forward reference to tracked object.
    `void` | `defineValue(java.lang.Object obj)` Define referenced object.
    `java.lang.String` | `getExpectedClass()` Get expected class name of referenced object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BackFillHolder

          public BackFillHolder(java.lang.String name)

      Constructor. Just creates the backing list.
      Parameters:
        `name` - expected class name of tracked object

  - ### Method Detail

    - #### addBackFill

          public void addBackFill(BackFillReference ref)

      Add forward reference to tracked object. This method is called by the framework when a reference item is created for the object associated with this holder.
      Parameters:
        `ref` - backfill reference item

    - #### defineValue

          public void defineValue(java.lang.Object obj)

      Define referenced object. This method is called by the framework when the forward-referenced object is defined, and in turn calls each reference to fill in the reference.
      Parameters:
        `obj` - referenced object

    - #### getExpectedClass

          public java.lang.String getExpectedClass()

      Get expected class name of referenced object.
      Returns:
        expected class name of referenced object

Project Web Site |